Index: TXM/trunk/bundles/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/___ReferencerToConc.java
===================================================================
--- TXM/trunk/bundles/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/___ReferencerToConc.java	(revision 3851)
+++ TXM/trunk/bundles/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/___ReferencerToConc.java	(revision 3852)
@@ -101,7 +101,7 @@
 					ConcordanceEditor.class.getName());
 		}
 		catch (PartInitException e) {
-			System.err.println("Error: " + e.getLocalizedMessage());
+			System.err.println("Error: " + e.getLocalizedMessage()); //$NON-NLS-1$
 		}
 		
 		return null;
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 3851)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 3852)
@@ -53,7 +53,7 @@
 	 * @return
 	 */
 	public static String queriesToString(List<Query> queries) {
-		if (queries == null) return "";
+		if (queries == null) return ""; //$NON-NLS-1$
 		StringBuilder str = new StringBuilder();
 		for (int i = 0; i < queries.size(); i++) {
 			if (i > 0) {
@@ -135,7 +135,7 @@
 	public static Query stringToQuery(String str) {
 		
 		String[] split = str.split(TXMPreferences.LIST_SEPARATOR, 2);
-		String eName = "CQP";
+		String eName = "CQP"; //$NON-NLS-1$
 		if (split[1] != null) {
 			eName = split[1];
 		}
@@ -155,12 +155,12 @@
 	/**
 	 * The query string.
 	 */
-	protected String queryString = "";
+	protected String queryString = ""; //$NON-NLS-1$
 	
 	/**
 	 * The query friendly name.
 	 */
-	protected String friendlyName = "";
+	protected String friendlyName = ""; //$NON-NLS-1$
 	
 	/**
 	 * Instantiates a new query.
@@ -176,7 +176,7 @@
 			this.queryString = queryString.trim();
 		}
 		else {
-			this.queryString = "";
+			this.queryString = ""; //$NON-NLS-1$
 		}
 		
 		this.engine = engine;
@@ -242,7 +242,7 @@
 	 */
 	@Override
 	public boolean isEmpty() {
-		return queryString == null || queryString.length() == 0 || "\"\"".equals(queryString);
+		return queryString == null || queryString.length() == 0 || "\"\"".equals(queryString); //$NON-NLS-1$
 	}
 	
 	@Override
@@ -258,7 +258,7 @@
 	 */
 	@Override
 	public String asString() {
-		return (friendlyName != null?friendlyName:"")+"<" + this.queryString + ">"; //$NON-NLS-1$ //$NON-NLS-2$
+		return (friendlyName != null?friendlyName:"")+"<" + this.queryString + ">"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	}
 	
 	
@@ -273,7 +273,7 @@
 
 	public static Object toPrettyString(List<Query> queries) {
 		
-		if (queries == null) return "";
+		if (queries == null) return ""; //$NON-NLS-1$
 		StringBuilder str = new StringBuilder();
 		for (int i = 0; i < queries.size(); i++) {
 			if (i > 0) {
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/QueryHistory.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/QueryHistory.java	(revision 3851)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/QueryHistory.java	(revision 3852)
@@ -50,11 +50,11 @@
 	}
 	
 	public String getComputingDoneMessage() {
-		return "";
+		return ""; //$NON-NLS-1$
 	}
 	
 	public String getComputingStartMessage() {
-		return "";
+		return ""; //$NON-NLS-1$
 	}
 
 	@Override
@@ -124,9 +124,9 @@
 	public boolean saveQueriesToFile() {
 
 		if (modified) {
-			File logFile = new File(this.getParent().getProjectDirectory(), "QUERIES");
+			File logFile = new File(this.getParent().getProjectDirectory(), "QUERIES"); //$NON-NLS-1$
 			try {
-				return _toTxt(logFile, "UTF-8", "", "");
+				return _toTxt(logFile, "UTF-8", "", ""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			} catch (Exception e) {
 				// TODO Auto-generated catch block
 				e.printStackTrace();
@@ -138,7 +138,7 @@
 
 	public void loadQueriesFromFile() throws IOException {
 
-		File logFile = new File(this.getParent().getProjectDirectory(), "QUERIES");
+		File logFile = new File(this.getParent().getProjectDirectory(), "QUERIES"); //$NON-NLS-1$
 		if (logFile.exists() && logFile.canRead()) {
 			int MAX = TBXPreferences.getInstance().getInt(TBXPreferences.QUERY_HISTORY_SIZE);
 
@@ -146,7 +146,7 @@
 			String line = reader.readLine();
 			while (line != null) {
 				line = line.trim();
-				if (line.length() > 0 && !line.startsWith("#")) {
+				if (line.length() > 0 && !line.startsWith("#")) { //$NON-NLS-1$
 					IQuery q = Query.stringToQuery(line);
 					queries.add(q);
 				}
@@ -203,7 +203,7 @@
 	@Override
 	public String getResultType() {
 
-		return "History";
+		return "History"; //$NON-NLS-1$
 	}
 
 	public ArrayList<Query> getQueries() {
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 3851)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 3852)
@@ -30,7 +30,7 @@
 	public abstract boolean hasIndexes(CorpusBuild corpus);
 	
 	public String getDetails() {
-		return this.getClass()+ " "+this.toString();
+		return this.getClass()+ " "+this.toString(); //$NON-NLS-1$
 	}
 	
 	/**
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEnginePreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEnginePreferences.java	(revision 3851)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEnginePreferences.java	(revision 3852)
@@ -35,7 +35,7 @@
 		// Default preferences if no org.txm.udpipe.core fragment is found
 		Preferences preferences = this.getDefaultPreferencesNode();
 		
-		preferences.put(DEFAULT_SEARCH_ENGINE, "CQP");
+		preferences.put(DEFAULT_SEARCH_ENGINE, "CQP"); //$NON-NLS-1$
 		preferences.putBoolean(SHOW_SEARCH_ENGINES, true);
 	}
 }
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java	(revision 3851)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java	(revision 3852)
@@ -58,12 +58,12 @@
 	public boolean canBeMultiLine();
 	
 	public static String toPrefString(IQuery query) {
-		return query.getSearchEngine().getName()+"\t"+query.getQueryString();
+		return query.getSearchEngine().getName()+"\t"+query.getQueryString(); //$NON-NLS-1$
 	}
 	
 	public static IQuery fromPrefString(String prefString) {
 		
-		String[] split = prefString.split("\t", 2);
+		String[] split = prefString.split("\t", 2); //$NON-NLS-1$
 		
 		String engineName = null;
 		String queryString = null;
@@ -73,7 +73,7 @@
 			engineName = split[0];
 			queryString = split[1];
 		} else {
-			engineName = "CQP";
+			engineName = "CQP"; //$NON-NLS-1$
 			queryString = split[0];
 		}
 		
Index: TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 3851)
+++ TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 3852)
@@ -361,7 +361,7 @@
 	@Override
 	public String getSimpleName() {
 		if (this.pQuery != null && !this.pQuery.isEmpty()) {
-			return this.pQuery.asString() + ", " + StructuralUnitProperty.asFullNameString(this.pPattern);
+			return this.pQuery.asString() + ", " + StructuralUnitProperty.asFullNameString(this.pPattern); //$NON-NLS-1$
 		}
 		else {
 			return this.getEmptyName();
@@ -378,10 +378,10 @@
 	@Override
 	public String getComputingDoneMessage() {
 		if (this.lines == null || this.lines.isEmpty()) {
-			return TXMCoreMessages.common_noResults;
+			return ""; //$NON-NLS-1$
 		}
 		else {
-			return TXMCoreMessages.bind(TXMCoreMessages.common_P0ItemsForP1Occurrences, TXMCoreMessages.formatNumber(this.getNLines()), TXMCoreMessages.formatNumber(this.getV()));
+			return TXMCoreMessages.bind("", TXMCoreMessages.formatNumber(this.getNLines()), TXMCoreMessages.formatNumber(this.getV())); //$NON-NLS-1$
 		}
 	}
 
@@ -453,7 +453,7 @@
 	 */
 	public boolean getQueryMatches() throws Exception {
 		
-		result = pQuery.getSearchEngine().query(this.getCorpus(), pQuery, "TMP", false);
+		result = pQuery.getSearchEngine().query(this.getCorpus(), pQuery, "TMP", false); //$NON-NLS-1$
 		
 //		result = this.getCorpus().query(pQuery, ReferencerCoreMessages.RESULT_TYPE, false);
 		if (result.getNMatch() == 0) {
Index: TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/preferences/ReferencerPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/preferences/ReferencerPreferences.java	(revision 3851)
+++ TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/preferences/ReferencerPreferences.java	(revision 3852)
@@ -14,8 +14,8 @@
 
 	public static final String SORT_BY_FREQUENCIES = "sort_by_frequencies"; //$NON-NLS-1$
 	public static final String PATTERN = "pattern"; //$NON-NLS-1$
-	public static final String SHOW_COUNTS = "show_counts";
-	public static final String HIERARCHIC_MODE = "hierarchic_mode";
+	public static final String SHOW_COUNTS = "show_counts"; //$NON-NLS-1$
+	public static final String HIERARCHIC_MODE = "hierarchic_mode"; //$NON-NLS-1$
 	
 	/**
 	 * Gets the instance.
